package com.ssj.service.conch.parents.v2.dto;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * @author yrf
 * @description
 * @time 2019/11/4 14:45
 */
public class ModuleDTO implements Serializable {

    private static final long serialVersionUID = -8503111361249540526L;

    private String module;

    /**
     * 知识点维度类型（1普通知识点维度，2非本学期知识点维度）
     */
    private Integer type = 1;

    private List<KnowledgePointMasteryDTO> knowledgePointMasteryList = new ArrayList<>();

    public String getModule() {
        return module;
    }

    public void setModule(String module) {
        this.module = module;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public List<KnowledgePointMasteryDTO> getKnowledgePointMasteryList() {
        return knowledgePointMasteryList;
    }

    public void setKnowledgePointMasteryList(List<KnowledgePointMasteryDTO> knowledgePointMasteryList) {
        this.knowledgePointMasteryList = knowledgePointMasteryList;
    }
}
